Version File Reference
`#include <osgVolume/Export>`

Go to the source code of this file.

## Macros

#define | OSGVOLUME_VERSION 1

## Functions

OSGVOLUME_EXPORT const char * | osgVolumeGetVersion ()
OSGVOLUME_EXPORT const char * | osgVolumeGetLibraryName ()

## Macro Definition Documentation

## OSGVOLUME_VERSION

#define OSGVOLUME_VERSION 1

## Function Documentation

## osgVolumeGetLibraryName()

OSGVOLUME_EXPORT const char * osgVolumeGetLibraryName | ( |  | ) |

extern

osgVolumeGetLibraryName() returns the library name in human friendly form.

References OSGVOLUME_EXPORT.

## osgVolumeGetVersion()

OSGVOLUME_EXPORT const char * osgVolumeGetVersion | ( |  | ) |

extern

osgVolumeGetVersion() returns the library version number. Numbering convention : OpenSceneGraph-1.0 will return 1.0 from osgVolumeGetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

    #
    # Check for the OpenSceneGraph (OSG) Volume library
    #
    AC_CHECK_LIB(osg, osgVolumeGetVersion, ,
       [AC_MSG_ERROR(OpenSceneGraph Volume library not found. See http://www.openscenegraph.org)],)

References OSGVOLUME_EXPORT.